Skip to main content

Akoya
Documentation

Statement List

GET

https://sandbox-products.ddp.akoya.com/statements/{version}/{providerId}/{accountId}

Retrieve a list of available statements for the end-user's consented accounts. You may request a date range of up to two years of historical statements (maximum date ranges vary by provider).

The paginated response includes an array of statement information with the end-user's account id and statement details such as statement id, date, description, and status. The results also include links to GET the statement image.


Path Parameters

  1. version*

    stringdefault: v3

    Akoya major version number. Do not use minor version numbers. For instance, use v3 and not v3.1

  2. providerId*

    stringdefault: mikomo

    Id of provider

  3. accountId*

    stringdefault: :accountId

    Account Identifier

Query Parameters

  1. startTime

    string

    Start date for use in retrieval of statements (ISO 8601)

  2. endTime

    string

    End date for use in retrieval of statements (ISO 8601)

  3. offset

    stringdefault: 0

    The number of items to skip before the first in the response. The default is 0.

  4. limit

    stringdefault: 50

    The maximum number of items to be returned in the response. The default is 50.

Headers

  1. x-akoya-interaction-type*

    Allowed values are `USER` or `BATCH`. `USER` indicates a request is prompted by an end-user action. `BATCH` indicates the request is part of a batch process.

  2. x-akoya-last-access*

    The date and time stamp for the last active use by the user. Follow the ISO8601 date format in the UTC time zone. For example: `2025-11-24T00:00:00Z`

  3. x-akoya-intent-type*

    Acceptable values are `payments` or `nonpayments.`


Responses

  1. 200

    OK

    Response Body

    array

  2. 400

    Start or end date value is not in the ISO 8601 format.

    Response Body

    object

      code

      integer

      Error code defined by FDX API Specification or Data Provider indicating the error situation which has occurred

      message

      string

      End user displayable information which might help the customer diagnose an error

      debugMessage

      string

      Message used to debug the root cause of the error. Contents should not be used in consumer's business logic. Can change at any time and should only be used for consumer to communicate with the data provider about an issue. Provider can include an error GUID in message for their use.

  3. 404

    404 - Not found

    Response Body

    object

      code

      integer

      Error code defined by FDX API Specification or Data Provider indicating the error situation which has occurred

      message

      string

      End user displayable information which might help the customer diagnose an error

      debugMessage

      string

      Message used to debug the root cause of the error. Contents should not be used in consumer's business logic. Can change at any time and should only be used for consumer to communicate with the data provider about an issue. Provider can include an error GUID in message for their use.

  4. 405

    Method Not Allowed

    Response

    string

  5. 408

    Request timed out (round trip call took >10 seconds).

    Response Body

    object

      code

      integer

      Error code defined by FDX API Specification or Data Provider indicating the error situation which has occurred

      message

      string

      End user displayable information which might help the customer diagnose an error

      debugMessage

      string

      Message used to debug the root cause of the error. Contents should not be used in consumer's business logic. Can change at any time and should only be used for consumer to communicate with the data provider about an issue. Provider can include an error GUID in message for their use.

  6. 500

    Catch-all exception where request was not processed due to an internal outage/issue.

    Response Body

    object

      code

      integer

      Error code defined by FDX API Specification or Data Provider indicating the error situation which has occurred

      message

      string

      End user displayable information which might help the customer diagnose an error

      debugMessage

      string

      Message used to debug the root cause of the error. Contents should not be used in consumer's business logic. Can change at any time and should only be used for consumer to communicate with the data provider about an issue. Provider can include an error GUID in message for their use.

  7. 501

    FdxVersion in header is not implemented.

    Response Body

    object

      code

      integer

      Error code defined by FDX API Specification or Data Provider indicating the error situation which has occurred

      message

      string

      End user displayable information which might help the customer diagnose an error

      debugMessage

      string

      Message used to debug the root cause of the error. Contents should not be used in consumer's business logic. Can change at any time and should only be used for consumer to communicate with the data provider about an issue. Provider can include an error GUID in message for their use.

  8. 503

    System is down for maintenance.

    Response Body

    object

      code

      integer

      Error code defined by FDX API Specification or Data Provider indicating the error situation which has occurred

      message

      string

      End user displayable information which might help the customer diagnose an error

      debugMessage

      string

      Message used to debug the root cause of the error. Contents should not be used in consumer's business logic. Can change at any time and should only be used for consumer to communicate with the data provider about an issue. Provider can include an error GUID in message for their use.

CTRL + K

Try it

Authorization